QGIS Application - Bug report #17930
gdaldem does not respect output format
2018-01-23 12:00 PM - Jan-Christoph Otto

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:2.18.16 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25826
Description

| tried to calculate a slope map using a .tif as input and output.

GDAL setting automatically switch to writing a ADRG file instead of GTIF:

<gdaldem hillshade "E:/Eigene Dateien_Jan/Lehre/WS1718/GIS/Einheit_Permafrost/dgm_50.tif" "E:/Eigene
Dateien_Jan/Lehre/WS1718/GIS/Einheit_Permafrost/dhm_sl.tif" -z 1.0 -s 1.0 -az 315.0 -alt 45.0 -of ADRG>
The result is an error message:

ERROR 1: Unable to create dataset E:/Eigene Dateien_Jan/Lehre/WS1718/GIS/Einheit_Permafrost/dhm_sl.tif >

Does not occur in version 2.18.11

Associated revisions

Revision 0cabbb50 - 2018-02-01 07:07 PM - Alexander Bruy

[processing] pass '-of' parameter to gdaldem algorithms (fix #17930)

History

#1 - 2018-02-01 07:08 PM - Alexander Bruy
- Operating System deleted (Win7 64)

- Subject changed from raster calculation ADRG bug in Version 2.18.16 to gdaldem does not respect output format

#2 - 2018-02-01 07:08 PM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|Ocabbb50eeat1d2db676105130ed34caa80f86d9.

#3 - 2018-02-21 09:47 PM - Giovanni Manghi
- Resolution set to fixed/implemented
